# Uses of Interface
javafx.scene.image.PixelWriter

Packages that use PixelWriter
Package
Description
javafx.scene.canvas
Provides the set of classes for canvas, an immediate mode style of rendering API.
javafx.scene.image
Provides the set of classes for loading and displaying images.

## Uses of PixelWriter in javafx.scene.canvas

Methods in javafx.scene.canvas that return PixelWriter
Modifier and Type
Method
Description
`PixelWriter`
GraphicsContext.`getPixelWriter()`
Returns a `PixelWriter` object that can be used to modify the pixels of the `Canvas` associated with this `GraphicsContext`.

## Uses of PixelWriter in javafx.scene.image

Methods in javafx.scene.image that return PixelWriter
Modifier and Type
Method
Description
`final PixelWriter`
WritableImage.`getPixelWriter()`
This method returns a `PixelWriter` that provides access to write the pixels of the image.